USE [igops]

GO

DROP VIEW IF EXISTS spermission_owners_v
GO

CREATE VIEW spermission_owners_v AS 
 SELECT rpo.is_user,
    rpo.owner_unique_id,
    rpo.permission,
        CASE
            WHEN rpo.is_user = 1 THEN suser.display_name
            WHEN rpo.is_user = 0 THEN sgroup.name
            ELSE NULL
        END AS owner_name
   FROM resolved_spermission_owner rpo
     LEFT JOIN suser ON suser.unique_user_id = rpo.owner_unique_id AND suser.effective = 1
     LEFT JOIN sgroup ON sgroup.unique_group_id = rpo.owner_unique_id AND sgroup.effective = 1
GO
GRANT SELECT ON spermission_owners_v TO ig_report_role
GO