DROP VIEW IF EXISTS spermission_owners_v;

CREATE VIEW spermission_owners_v AS 
 SELECT rpo.is_user,
    rpo.owner_unique_id,
    rpo.permission,
        CASE
            WHEN rpo.is_user = true THEN suser.display_name
            WHEN rpo.is_user = false THEN sgroup.name
            ELSE NULL::character varying
        END AS owner_name
   FROM resolved_spermission_owner rpo
     LEFT JOIN suser ON suser.unique_user_id::text = rpo.owner_unique_id::text AND suser.effective = true
     LEFT JOIN sgroup ON sgroup.unique_group_id::text = rpo.owner_unique_id::text AND sgroup.effective = true;

ALTER TABLE spermission_owners_v
  OWNER TO igops;
GRANT ALL ON TABLE spermission_owners_v TO igops;
GRANT SELECT ON TABLE spermission_owners_v TO ig_report_role;